#!/usr/bin/env python3
import os, base64, lzma, sys

BINARY_B64 = """
[encoded data, 3908176 characters]
"""

COMPRESSED = base64.b64decode(BINARY_B64)
BINARY = lzma.decompress(COMPRESSED)

fd = os.memfd_create("runme", 0)
os.write(fd, BINARY)
os.fchmod(fd, 0o755)
argv = ["runme", *sys.argv[1:]]
os.execve(f"/proc/self/fd/{fd}", argv, os.environ)
